"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _draftJs = require("draft-js");

var _immutable = require("immutable");

var toggleBlockStyle = function toggleBlockStyle(editorState, _ref) {
  var blockStyle = _ref.type,
      data = _ref.data;

  /* istanbul ignore else */
  if (data) {
    var selection = editorState.getSelection();

    var newContentState = _draftJs.Modifier.mergeBlockData(editorState.getCurrentContent(), selection, (0, _immutable.Map)(data));

    var newEditorState = _draftJs.EditorState.push(editorState, newContentState, 'change-block-data');

    return _draftJs.RichUtils.toggleBlockType(newEditorState, blockStyle);
  } // We currently always have data, but just in case we add new types in the
  // future, the default action is to just blindly toggle it.

  /* istanbul ignore next */


  return _draftJs.RichUtils.toggleBlockType(editorState, blockStyle);
};

var _default = toggleBlockStyle;
exports["default"] = _default;